slepc-3.10.1 2018-10-23
Report Typos and Errors

# NEPMonitorLGCreate

Creates a line graph context for use with NEP to monitor convergence.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPMonitorLGCreate(MPI_Comm comm,const char host[],const char label[],int x,int y,int m,int n,PetscDrawLG *lgctx)

Collective on MPI_Comm

### Input Parameters

| comm | - communicator context
| host | - the X display to open, or null for the local machine
| label | - the title to put in the title bar
| x, y | - the screen coordinates of the upper left coordinate of the window
| m, n | - the screen width and height in pixels

### Output Parameter

| lgctx | - the drawing context

### Options Database Keys

| -nep_monitor_lg | - Sets line graph monitor for the first residual
| -nep_monitor_lg_all | - Sets line graph monitor for all residuals

### Notes

Use PetscDrawLGDestroy() to destroy this line graph.

### See Also

NEPMonitorSet()

Location: src/nep/interface/nepmon.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages